@AccessControl.authorizationCheck: #NOT_REQUIRED
@EndUserText.label: '库存报表-生产库存'
define root view entity ZCV_SCKC as select from I_MfgOrderWithStatus
association [1] to I_ProductDescription as b 
on b.Language = '1' and $projection.Product = b.Product
{
    key ManufacturingOrder,
        Product,
        b.ProductDescription,
        ProductionPlant as Plant,
        CreationDate,
        cast( ( MfgOrderPlannedTotalQty - ActualDeliveredQuantity ) as abap.char( 20 ) )  as Zwrksl,
        ProductionUnit,
    /* Associations */
    _Product
}where Product is not initial
and MfgOrderPlannedTotalQty <> ActualDeliveredQuantity
