CLASS ztest001 DEFINITION
  PUBLIC
  FINAL
  CREATE PUBLIC .

  PUBLIC SECTION.
    INTERFACES if_oo_adt_classrun.
  PROTECTED SECTION.
  PRIVATE SECTION.
ENDCLASS.



CLASS ZTEST001 IMPLEMENTATION.


  METHOD if_oo_adt_classrun~main.
**  Create a new PR via EML
*    DATA lv_mater TYPE char18 VALUE '10100012'.
**    CALL FUNCTION 'CONVERSION_EXIT_MATN1_INPUT'
**      EXPORTING
**        input        = lv_mater
**      IMPORTING
**        output       = lv_mater
**      EXCEPTIONS
**        length_error = 1
**        OTHERS       = 2.
*    lv_mater = |{ '10100012' ALPHA = IN }|.
*    MODIFY ENTITIES OF i_purchaserequisitiontp
*        ENTITY purchaserequisition
*           CREATE FIELDS ( purchaserequisitiontype )
*           WITH VALUE #(  ( %cid                    = 'My%CID_1'
*                            purchaserequisitiontype = 'NB' ) )
*          CREATE BY \_purchaserequisitionitem
*          FIELDS ( plant
*                   purchaserequisitionitemtext
*                   accountassignmentcategory
*                   requestedquantity
*                   baseunit
*                   purchaserequisitionprice
*                   purreqnitemcurrency
*                   material
*                   materialgroup
*                   purchasinggroup
*                   purchasingorganization
**               MultipleAcctAssgmtDistribution
*                       )
*          WITH VALUE #(
*                        (    %cid_ref = 'My%CID_1'
*                             %target = VALUE #(
*                                              (  %cid                        = 'My%ItemCID_1'
*                                                 plant                       = '1010'
*                                                 purchaserequisitionitemtext = 'created from Nick'
*                                                 accountassignmentcategory   = ''
*                                                 requestedquantity           = '10'
*                                                 baseunit                    = 'KG'
*                                                 purchaserequisitionprice    = '10'
*                                                 purreqnitemcurrency         = 'CNY'
*                                                 material                    = lv_mater"'000000000010100012'
*                                                 materialgroup               = 'Z00101'
*                                                 purchasinggroup             = '001'
*                                                 purchasingorganization      = '1010'
**                                             MultipleAcctAssgmtDistribution = '1'
*                                                 )
*                                              )
*                         )
*                       )
*    ENTITY purchaserequisitionitem
*    CREATE BY \_purchasereqnitemtext
*          FIELDS ( plainlongtext )
*          WITH VALUE #(
*                        (    %cid_ref = 'My%ItemCID_1'
*                             %target = VALUE #(
*                                              (
*                                                %cid           = 'My%CCT_1'
*                                                 textobjecttype              = 'B01'
*                                                 language                    = 'ZH'
*                                                 plainlongtext               = 'item text created from PAAS API'
*                                                )
*                                              (
*                                                %cid           = 'My%CCT_2'
*                                                 textobjecttype              = 'B02'
*                                                 language                    = 'ZH'
*                                                 plainlongtext               = 'item2 text created from PAAS API'
*                                                )
*                                              )
*                         )
*                       )
*        REPORTED DATA(ls_reported)
*                 MAPPED DATA(ls_mapped)
*                 FAILED DATA(ls_failed).
*
*    COMMIT ENTITIES BEGIN RESPONSE OF i_purchaserequisitiontp FAILED DATA(lt_res_failed)
*    REPORTED DATA(lt_res_reported1).
**    "Special processing for Late numbering to determine the generated document number.
**    LOOP AT ls_mapped-purchaserequisition ASSIGNING FIELD-SYMBOL(<fs_pr_mapped>).
**      CONVERT KEY OF i_purchaserequisitiontp FROM <fs_pr_mapped>-%key TO DATA(ls_pr_key).
**      <fs_pr_mapped>-purchaserequisition = ls_pr_key-purchaserequisition.
**    ENDLOOP.
**    LOOP AT ls_mapped-purchaserequisitionitem ASSIGNING FIELD-SYMBOL(<fs_pri_mapped>).
**      CONVERT KEY OF  I_PurchaseReqnItemTP  FROM <fs_pri_mapped>-%key TO DATA(ls_pri_key).
**      <fs_pri_mapped>-PurchaseRequisitionItem = ls_pri_key-PurchaseRequisitionItem.
**    ENDLOOP.
*    COMMIT ENTITIES END.
    TYPES: BEGIN OF ty_ms,
             vbeln TYPE i_materialdocumentitem_2-SalesOrder,
             vbelp TYPE i_materialdocumentitem_2-SalesOrderItem,
             erfmg TYPE i_materialdocumentitem_2-QuantityInBaseUnit,
           END OF ty_ms.
    DATA: lt_mseg  TYPE STANDARD TABLE OF ty_ms,
          ls_mseg  TYPE ty_ms,
          lv_mblnr TYPE mblnr.
    SELECT SalesOrder AS vbeln,
      SalesOrderItem AS vbelp,
      SUM( QuantityInEntryUnit ) AS erfmg
    FROM i_materialdocumentitem_2
    WHERE SalesOrder IS NOT INITIAL
    GROUP BY SalesOrder, SalesOrderItem
    INTO CORRESPONDING FIELDS OF TABLE @lt_mseg.
    SELECT SINGLE
          a~product as product
*          a~PriceDeterminationControl,
*          a~InventoryValuationProcedure,
*          a~StandardPrice
      FROM I_ProductValuationBasic AS a
*      WHERE product = @lv_material
*      AND CompanyCode = @lv_plant
      INTO @DATA(lv_prd).
    LOOP AT lt_mseg INTO ls_mseg.
      out->write( ls_mseg-vbeln && '-' && ls_mseg-vbelp && '-' && ls_mseg-erfmg ).
    ENDLOOP.
*    out->write( ls_pr_key-PurchaseRequisition ).
*    out->write( ls_pri_key-PurchaseRequisitionItem ).

  ENDMETHOD.
ENDCLASS.
